"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CleanupJobCommand = void 0;
const node_assert_1 = require("node:assert");
class CleanupJobCommand {
    constructor(nodeId) {
        if (!nodeId) {
            throw new node_assert_1.AssertionError({
                message: 'node id is required for CleanupJobCommand, skipping not cleaning up jobs'
            });
        }
        this.nodeId = nodeId;
    }
    validate() {
        throw new Error('Method not implemented.');
    }
    getNodeId() {
        return this.nodeId;
    }
}
exports.CleanupJobCommand = CleanupJobCommand;
//# sourceMappingURL=CleanupJobCommand.js.map